%{!?ruby_vendorlibdir: %global ruby_vendorlibdir %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorlibdir"]')}
%{!?ruby_vendorarchdir: %global ruby_vendorarchdir %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["vendorarchdir"]')}
%define ruby_archdir %(ruby -rrbconfig -e 'puts RbConfig::CONFIG["archdir"]')

Name:		eruby
Version:	1.0.5
Release:	43%{?dist}
# eruby is GPLv2+
# liberuby is LGPLv2+
License:	GPLv2+ and LGPLv2+
URL:		http://www.modruby.net/
BuildRequires:	ruby
BuildRequires:	ruby-devel >= 1.8.0
BuildRequires:	gcc
Source0:	http://www.modruby.net/archive/%{name}-%{version}.tar.gz
# Thanks to FreeBSD.
Patch0:		patch-aa-git
Patch1:		eruby-fix-build.patch
Patch2:		eruby-1.0.5-ruby19.patch
Summary:	An interpreter of embedded Ruby language
Group:		Development/Languages

%description
eRuby interprets a Ruby code embedded text file. For example, eRuby
enables you to embed a Ruby code to a HTML file.

%package libs
Summary:	Library for eRuby
Group:		Development/Languages
Requires:       ruby(release) >= 1.9.1
Provides:	ruby(eruby) = %{version}

%description libs
This package contains a library for eRuby.

%package devel
Summary:	Development files for eRuby
Group:		Development/Languages
Requires:	ruby(eruby) = %{version}

%description devel
This package contains the header files and libraries for an application
embedded eRuby.

%prep
%setup -q
%patch0 -p1 -b .git
%patch1 -p1 -b .0-build
%patch2 -p1 -b .ruby19

%build
ruby configure.rb --enable-shared CFLAGS="%{optflags}"
#make %{?_smp_mflags}
# parallel make once failed on ppc64 (taskID=24010747)
make -j1

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{ruby_vendorarchdir}

# installing binaries ...
make install DESTDIR=$RPM_BUILD_ROOT rubyarchdir=$RPM_BUILD_ROOT%{ruby_archdir} RUBY=ruby

# remove the unnecessary files
rm $RPM_BUILD_ROOT%{_libdir}/*.a

# change permissions
find $RPM_BUILD_ROOT%{_libdir} -name '*.so*' | xargs chmod 0755

# workaround for not working site-install properly
mv $RPM_BUILD_ROOT%{ruby_archdir}/eruby.so $RPM_BUILD_ROOT%{ruby_vendorarchdir}/

%post -p /sbin/ldconfig libs

%postun -p /sbin/ldconfig libs

%files
%doc COPYING GPL README.en ChangeLog examples
%lang(ja) %doc README.ja
%{_bindir}/eruby
%{_mandir}/man1/eruby.1*

%files libs
%doc COPYING LGPL README.en
%lang(ja) %doc README.ja
%{_libdir}/liberuby.so.*
%{ruby_vendorarchdir}/eruby.so

%files devel
%doc COPYING LGPL README.en
%lang(ja) %doc README.ja
%{_includedir}/eruby.h
%{_libdir}/liberuby.so

%changelog
* Mon Jan 21 2019 Vít Ondruch <vondruch@redhat.com> - 1.0.5-43
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.6

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-42
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-41
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 1.0.5-40
- Rebuilt for switch to libxcrypt

* Fri Jan 05 2018 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.5-39
- F-28: rebuild for ruby25
- Parallel make fails, disabling it

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-38
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-37
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.0.5-35
- F-26: rebuild for ruby24

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-34
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Vít Ondruch <vondruch@redhat.com> - 1.0.5-33
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.3

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-32
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 16 2015 Vít Ondruch <vondruch@redhat.com> - 1.0.5-31
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.2

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 18 2014 Vít Ondruch <vondruch@redhat.com> - 1.0.5-28
- Rebuilt for https://fedoraproject.org/wiki/Changes/Ruby_2.1

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-26
- change to ruby abi for f20
* Wed Jun 19 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-25
- add some lines ruby abi and release thanks Vit Ondruch

* Tue Jun 18 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-24
- fix BZ 966399 	

* Mon Jun 17 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-23
- add ruby abi

* Mon Apr 08 2013 Vít Ondruch <vondruch@redhat.com> - 1.0.5-22
- Rebuild for https://fedoraproject.org/wiki/Features/Ruby_2.0.0

* Tue Mar 26 2013 Luis Bazan <lbazan@fedoraproject.org> - 1.0.5-21
- add dependency

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 26 2012 Tom Callaway <spot@fedoraproject.org> - 1.0.5-18
- rebuild with ruby 1.9 (thanks to FreeBSD)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 1.0.5-15
- Rebuilt for gcc bug 634757

* Tue Sep 14 2010 Akira TAGOH <tagoh@redhat.com> - 1.0.5-14
- Fix FTBFS (#631180)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 12 2008 Akira TAGOh <tagoh@redhat.com> - 1.0.5-11
- Rebuild for gcc-4.3.

* Tue Sep 25 2007 Akira TAGOH <tagoh@redhat.com> - 1.0.5-10
- clean up the spec file.

* Thu Aug 23 2007 Akira TAGOH <tagoh@redhat.com> - 1.0.5-9
- Rebuild

* Wed Aug  8 2007 Akira TAGOH <tagoh@redhat.com> - 1.0.5-8
- Update License tag.

* Wed Nov 29 2006 Akira TAGOH <tagoh@redhat.com> - 1.0.5-7
- fix library permissions (#215912)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-6.1
- rebuild

* Thu May 25 2006 Jeremy Katz <katzj@redhat.com> - 1.0.5-6
- rebuild to pick up -devel deps

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.5-5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Mar 17 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.5-5
- rebuilt

* Thu Feb 10 2005 Akira TAGOH <tagoh@redhat.com> - 1.0.5-4
- rebuilt

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 09 2004 Akira TAGOH <tagoh@redhat.com> 1.0.5-1
- New upstream release.

* Wed Aug 06 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-4
- rebuilt

* Sat Jul 05 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-3
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 18 2003 Akira TAGOH <tagoh@redhat.com> 1.0.3-1
- New upstream release.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 22 2003 Akira TAGOH <tagoh@redhat.com> 1.0.1-1
- New upstream release.
- update the requirement to work on x86-64.

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- lib64'ize
- don't excludearch alpha

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 31 2002 Akira TAGOH <tagoh@redhat.com> 0.9.8-1
- New upstream release.

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Akira TAGOH <tagoh@redhat.com> 0.9.7-1
- New upstream release.
- split to libs and devel packages.
- Disable alpha only.

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.1.2

* Tue Aug 29 2000 akira yamada <akira@redhat.com>
- Updated to version 0.0.9
- Added eruby.c.O_EXCL.patch

* Tue Jun 22 2000 akira yamada <akira@redhat.com>
- Initial packaging.
